# Guia de Contribuição — AgentFlowCraft

Obrigado por se interessar em contribuir com o AgentFlowCraft! 🎉 Este documento descreve como você pode ajudar o projeto, seja reportando problemas, sugerindo melhorias ou enviando código.

---

## 📚 Conheça o projeto
Antes de contribuir, recomendamos que você leia o [README.md](./README.md) e consulte o [roadmap.md](./roadmap.md). Esses documentos vão te ajudar a entender a visão, objetivos e planejamento do projeto.

---

## ✅ Como contribuir
### 1. Reportando bugs
- Verifique se o bug já foi reportado na aba [Issues](../../issues).
- Caso não exista, crie uma nova *issue* usando o template de bug.
- Descreva claramente o problema, passos para reprodução e impacto.

### 2. Sugerindo novas funcionalidades
- Confira se a funcionalidade já está planejada ou em discussão.
- Crie uma *issue* do tipo *Feature Request* utilizando o template disponível.
- Explique o contexto, o problema que deseja resolver e a proposta de solução.

### 3. Contribuindo com código
- Faça um fork do repositório.
- Crie uma branch específica:
  ```bash
  git checkout -b feature/minha-contribuicao
  ```
- Faça suas alterações seguindo o padrão do projeto (PEP8, boas práticas, documentação).
- Teste localmente suas mudanças.
- Realize um commit claro:
  ```bash
  git commit -m "Descrição objetiva da alteração"
  ```
- Envie sua branch:
  ```bash
  git push origin feature/minha-contribuicao
  ```
- Abra um Pull Request preenchendo o checklist e descrição do template de PR.

---

## 📏 Padrões de Código
- Utilize Python 3.12+.
- Siga o padrão PEP8.
- Adicione docstrings em funções e classes públicas.
- Nomeie variáveis e funções de forma clara e autoexplicativa.
- Prefira commits pequenos e bem descritos.

---

## 🔎 Revisão de Pull Requests
- Todas as contribuições passarão por revisão.
- Responda dúvidas e comentários dos revisores.
- Esteja aberto a sugestões e alterações.
- PRs só serão aceitos após aprovação e sucesso nos testes automáticos.

---

## 🌍 Código de Conduta
Ao contribuir, você concorda em respeitar nosso [Código de Conduta](./CODE_OF_CONDUCT.md).

---

## 📣 Feedback
Se tiver sugestões, dúvidas ou quiser apenas conversar sobre o projeto, abra uma *issue* ou participe das discussões.

---

## ⭐ Ajude a divulgar!
Se este projeto for útil para você, deixe uma estrela ⭐ no repositório, compartilhe e convide outras pessoas a contribuir!

---
